VirtualBox Main API

Public Member Functions | Public Attributes | List of all members
IDirectory Interface Reference

Abstract parent interface for directories handled by VirtualBox. More...

Inheritance diagram for IDirectory:

## Public Member Functions
void | close ()
| Closes this directory.
void | list (in unsigned long maxEntries, [retval] out IFsObjInfo[] objInfo)
| Lists directory entries of this directory.
void | read ([retval] out IFsObjInfo objInfo)
| Reads the next directory entry of this directory.
void | rewind ()
| Rewinds the directory reading.

## Public Attributes
readonly attribute wstring | directoryName
| The path specified when opening the directory.
readonly attribute IEventSource | eventSource
| Event source for directory events.
readonly attribute wstring | filter
| Directory listing filter to (specified when opening the directory).
readonly attribute unsigned long | id
| The ID VirtualBox internally assigned to the open directory.
readonly attribute DirectoryStatus | status
| Current directory status.

## Detailed Description

Abstract parent interface for directories handled by VirtualBox.

Interface ID:
  `{A508E094-BF24-4ECA-80C6-467766A1E4C0}`

## Member Function Documentation

## ◆ close()

void IDirectory::close | ( |  | ) |

Closes this directory.

After closing operations like reading the next directory entry will not be possible anymore.

## ◆ list()

void IDirectory::list | ( | in unsigned long | maxEntries,
|  | [retval] out IFsObjInfo[] | objInfo
| ) |  |

Lists directory entries of this directory.

Parameters

  maxEntries | Maximum entries to return per call. The guest might decide to return less than the given maximum, depending on the guest OS.
  objInfo | Array of object information of the current directory entry read. Also see IFsObjInfo.

Expected result codes:

  VBOX_E_OBJECT_NOT_FOUND | No more directory entries to read.
  VBOX_E_NOT_SUPPORTED | Method not supported by installed Guest Additions.

## ◆ read()

void IDirectory::read | ( | [retval] out IFsObjInfo | objInfo | ) |

Reads the next directory entry of this directory.

Parameters

  objInfo | Object information of the current directory entry read. Also see IFsObjInfo.

Expected result codes:

  VBOX_E_OBJECT_NOT_FOUND | No more directory entries to read.

## ◆ rewind()

void IDirectory::rewind | ( |  | ) |

Rewinds the directory reading.

## Member Data Documentation

## ◆ directoryName

readonly attribute wstring IDirectory::directoryName

The path specified when opening the directory.

## ◆ eventSource

readonly attribute IEventSource IDirectory::eventSource

Event source for directory events.

## ◆ filter

readonly attribute wstring IDirectory::filter

Directory listing filter to (specified when opening the directory).

## ◆ id

readonly attribute unsigned long IDirectory::id

The ID VirtualBox internally assigned to the open directory.

## ◆ status

readonly attribute DirectoryStatus IDirectory::status

Current directory status.